#import "MobkitPlugin.h"
#import <MOBFoundation/MOBFoundation.h>

@implementation MobkitPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"mobkit"
            binaryMessenger:[registrar messenger]];
  MobkitPlugin* instance = [[MobkitPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([@"deviceModel" isEqualToString:call.method]) {
      result([MOBFDevice deviceModel]);
  } else if ([@"getDuid" isEqualToString:call.method]) {
      result([MOBFDevice duid]);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
